> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocean.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Mean Time To Resolution for phishing reports

> Returns the average time in seconds to analyze phishing reports



## OpenAPI

````yaml get /api/v1/sonar/phishing-reports/aggs/mttr
openapi: 3.0.0
info:
  contact: {}
  title: Ocean Security API
  version: 1.0.0
  description: Ocean Security API for threat detection and security metrics
servers:
  - url: https://api.ocean.security
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Threats
    description: Operations for retrieving threat information
  - name: Metrics
    description: Security metrics and analytics endpoints
paths:
  /api/v1/sonar/phishing-reports/aggs/mttr:
    get:
      tags:
        - Sonar
      summary: Get Mean Time To Resolution for phishing reports
      description: Returns the average time in seconds to analyze phishing reports
      parameters:
        - description: Authentication API Key
          in: header
          name: X-Api-Key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ocean_api_common.BaseResponse-controllers_sonar_MTTRResponse
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
components:
  schemas:
    ocean_api_common.BaseResponse-controllers_sonar_MTTRResponse:
      properties:
        results:
          $ref: '#/components/schemas/controllers_sonar.MTTRResponse'
        status:
          type: integer
      type: object
    types.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    controllers_sonar.MTTRResponse:
      properties:
        analysis_time:
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key for authentication

````